<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'payment_setting',

    /*
     * Modules.
     */
    'modules'   => ['payment_setting'],

    
    'payment_setting'       => [
        'model' => [
            'model'                 => \Litecms\PaymentSetting\Models\PaymentSetting::class,
            'table'                 => 'payment_settings',
            'presenter'             => \Litecms\PaymentSetting\Repositories\Presenter\PaymentSettingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['perfect_money_member_id',  'perfect_money_account_id',  'perfect_money_phrase_hash',  'bitcoin_merchant_id',  'bitcoin_public_key',  'bitcoin_private_key',  'coin_payments_ipn_key',  'payeer_shop_id',  'payeer_shop_secret_key',  'payeer_account',  'payeer_api_user',  'payeer_api_secret',  'advcash_email',  'advcash_sci_name',  'advcash_sci_batch_key',  'advcash_withdraw_email',  'advcash_api_name',  'advcash_api_password'],
            'translatables'         => [],
            'upload_folder'         => 'payment_setting/payment_setting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'PaymentSetting',
            'module'    => 'PaymentSetting',
        ],

    ],
];
